Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance.persistent
Class PersistentInstanceContainerContext

    java.lang.Object
      org.jboss.portal.core.impl.model.instance.persistent.PersistentInstanceContainerContext

All Implemented Interfaces:
  InstanceContainerContext, JBossInstanceContainerContext

    public class PersistentInstanceContainerContext

extends java.lang.Object
implements JBossInstanceContainerContext

Version:
  $Revision: 10684 $
Author:
  Julien Viet

Field Summary
`protected EDU.oswego.cs.dl.util.concurrent.ConcurrentReaderHashMap` | `cache` .
`protected boolean` | `cacheNaturalId` .
`protected ObjectContextualizer` | `contextualizer` .
`protected org.hibernate.SessionFactory` | `sessionFactory` .
`protected java.lang.String` | `sessionFactoryJNDIName` .

Constructor Summary
`PersistentInstanceContainerContext()`

Method Summary
`boolean` | `checkPermission(InstancePermission perm)`
`void` | `createInstanceCustomizaton(AbstractInstanceCustomization customization)`
`void` | `createInstanceDefinition(AbstractInstanceDefinition instanceDef)`
`void` | `destroyInstanceCustomization(AbstractInstanceCustomization customization)`
`void` | `destroyInstanceDefinition(AbstractInstanceDefinition instanceDef)`
`void` | `flushNaturalIdCache()`
`boolean` | `getCacheNaturalId()`
`InstanceContainerImpl` | `getContainer()`
`AbstractInstanceCustomization` | `getCustomization(AbstractInstanceDefinition instanceDef, java.lang.String customizationId)`
`AbstractInstanceDefinition` | `getInstanceDefinition(java.lang.String id)`
`java.util.Collection<InstanceDefinition>` | `getInstanceDefinitions()`
`int` | `getNaturalIdCacheSize()`
`java.lang.String` | `getSessionFactoryJNDIName()`
`AbstractInstanceCustomization` | `newInstanceCustomization(AbstractInstanceDefinition def, java.lang.String id, org.jboss.portal.portlet.PortletContext portletContext)`
`AbstractInstanceDefinition` | `newInstanceDefinition(InstanceMetaData instanceMetaData)`
`AbstractInstanceDefinition` | `newInstanceDefinition(java.lang.String id, java.lang.String portletRef)`
`void` | `setCacheNaturalId(boolean cacheNaturalId)`
`void` | `setContainer(InstanceContainerImpl container)`
`void` | `setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)`
`void` | `start()`
`void` | `stop()`
`void` | `updateInstance(AbstractInstance instance, org.jboss.portal.portlet.PortletContext portletContext)`
`void` | `updateInstance(AbstractInstance instance, org.jboss.portal.portlet.PortletContext portletContext, boolean mutable)`
`void` | `updateInstanceDefinition(AbstractInstanceDefinition def, java.util.Set securityBindings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionFactory

    protected org.hibernate.SessionFactory sessionFactory

  .

### sessionFactoryJNDIName

    protected java.lang.String sessionFactoryJNDIName

  .

### contextualizer

    protected ObjectContextualizer contextualizer

  .

### cache

    protected EDU.oswego.cs.dl.util.concurrent.ConcurrentReaderHashMap cache

  .

### cacheNaturalId

    protected boolean cacheNaturalId

  .

Constructor Detail

### PersistentInstanceContainerContext

    public PersistentInstanceContainerContext()

Method Detail

### getContainer

    public InstanceContainerImpl getContainer()

  Specified by:
    `getContainer` in interface `JBossInstanceContainerContext`

### setContainer

    public void setContainer(InstanceContainerImpl container)

  Specified by:
    `setContainer` in interface `JBossInstanceContainerContext`

### flushNaturalIdCache

    public void flushNaturalIdCache()

### getNaturalIdCacheSize

    public int getNaturalIdCacheSize()

### getCacheNaturalId

    public boolean getCacheNaturalId()

### setCacheNaturalId

    public void setCacheNaturalId(boolean cacheNaturalId)

### getSessionFactoryJNDIName

    public java.lang.String getSessionFactoryJNDIName()

### setSessionFactoryJNDIName

    public void setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInstanceDefinitions

    public java.util.Collection<InstanceDefinition> getInstanceDefinitions()

  Specified by:
    `getInstanceDefinitions` in interface `InstanceContainerContext`

### newInstanceCustomization

    public AbstractInstanceCustomization newInstanceCustomization(AbstractInstanceDefinition def,
                                                                  java.lang.String id,
                                                                  org.jboss.portal.portlet.PortletContext portletContext)

  Specified by:
    `newInstanceCustomization` in interface `InstanceContainerContext`

### newInstanceDefinition

    public AbstractInstanceDefinition newInstanceDefinition(java.lang.String id,
                                                            java.lang.String portletRef)

  Specified by:
    `newInstanceDefinition` in interface `InstanceContainerContext`

### newInstanceDefinition

    public AbstractInstanceDefinition newInstanceDefinition(InstanceMetaData instanceMetaData)

  Specified by:
    `newInstanceDefinition` in interface `InstanceContainerContext`

### getInstanceDefinition

    public AbstractInstanceDefinition getInstanceDefinition(java.lang.String id)

  Specified by:
    `getInstanceDefinition` in interface `InstanceContainerContext`

### getCustomization

    public AbstractInstanceCustomization getCustomization(AbstractInstanceDefinition instanceDef,
                                                          java.lang.String customizationId)

  Specified by:
    `getCustomization` in interface `InstanceContainerContext`

### createInstanceDefinition

    public void createInstanceDefinition(AbstractInstanceDefinition instanceDef)
                                  throws DuplicateInstanceException

  Specified by:
    `createInstanceDefinition` in interface `InstanceContainerContext`
  Throws:
    `DuplicateInstanceException`

### createInstanceCustomizaton

    public void createInstanceCustomizaton(AbstractInstanceCustomization customization)

  Specified by:
    `createInstanceCustomizaton` in interface `InstanceContainerContext`

### updateInstance

    public void updateInstance(AbstractInstance instance,
                               org.jboss.portal.portlet.PortletContext portletContext,
                               boolean mutable)

  Specified by:
    `updateInstance` in interface `InstanceContainerContext`

### updateInstance

    public void updateInstance(AbstractInstance instance,
                               org.jboss.portal.portlet.PortletContext portletContext)

  Specified by:
    `updateInstance` in interface `InstanceContainerContext`

### updateInstanceDefinition

    public void updateInstanceDefinition(AbstractInstanceDefinition def,
                                         java.util.Set securityBindings)

  Specified by:
    `updateInstanceDefinition` in interface `InstanceContainerContext`

### destroyInstanceDefinition

    public void destroyInstanceDefinition(AbstractInstanceDefinition instanceDef)

  Specified by:
    `destroyInstanceDefinition` in interface `InstanceContainerContext`

### destroyInstanceCustomization

    public void destroyInstanceCustomization(AbstractInstanceCustomization customization)

  Specified by:
    `destroyInstanceCustomization` in interface `InstanceContainerContext`

### checkPermission

    public boolean checkPermission(InstancePermission perm)

  Specified by:
    `checkPermission` in interface `InstanceContainerContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD